Bug 117403 - Incorrect Build Dependencies
Incorrect Build Dependencies
Product: Fedora
Classification: Fedora
Component: tsclient (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2004-03-03 12:28 EST by Dams
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.132-2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-19 12:38:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dams 2004-03-03 12:28:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.4.1)
Gecko/20031114 Galeon/1.3.13

Description of problem:
Since gnome-panel doesnt have a devel package and doesnt require any
devel package (although it provides a .pc file, .h headers, and a .so
file) tsclient cant be rebuild properly :

checking for libpanelapplet-2.0... Package libgnomeui-2.0 was not
found in the pkg-config search path.
Perhaps you should add the directory containing `libgnomeui-2.0.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libgnomeui-2.0', required by 'libpanel-applet-2', not found

(libpanel-applet-2 is part of gnome-panel package)
I suggest you add a 'BuildRequires:libgnomeui-devel' into the spec
file to work around the gnome-panel packaging bug.

(btw i succesfully tested an smp build, you should replace 'make' in
the %build section by 'make %{?_smp_mflags}')

Version-Release number of selected component (if applicable):

How reproducible: Always
Comment 1 Mark McLoughlin 2004-03-19 12:38:47 EST
Fixed in Raw Hide with tsclient-0.132-2.2

Note You need to log in before you can comment on or make changes to this bug.